# Class SynthCheckBoxMenuItemUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ButtonUI
javax.swing.plaf.MenuItemUI
javax.swing.plaf.basic.BasicMenuItemUI
javax.swing.plaf.synth.SynthMenuItemUI
javax.swing.plaf.synth.SynthCheckBoxMenuItemUI

All Implemented Interfaces:
  `PropertyChangeListener, EventListener, SynthConstants, SynthUI`

public class SynthCheckBoxMenuItemUI extends SynthMenuItemUI
Provides the Synth L&F UI delegate for `JCheckBoxMenuItem`.

Since:
  1.7

## Nested Class Summary

### Nested classes/interfaces declared in class BasicMenuItemUI

`BasicMenuItemUI.MouseInputHandler`

## Field Summary

### Fields declared in class BasicMenuItemUI

`acceleratorDelimiter, acceleratorFont, acceleratorForeground, acceleratorSelectionForeground, arrowIcon, checkIcon, defaultTextIconGap, disabledForeground, menuDragMouseListener, menuItem, menuKeyListener, mouseInputListener, oldBorderPainted, propertyChangeListener, selectionBackground, selectionForeground`

### Fields declared in interface SynthConstants

`DEFAULT, DISABLED, ENABLED, FOCUSED, MOUSE_OVER, PRESSED, SELECTED`

## Constructor Summary

Constructors
Constructor
Description
`SynthCheckBoxMenuItemUI()`
Constructs a `SynthCheckBoxMenuItemUI`.

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent c)`
Creates a new UI object for the given component.

### Methods declared in class SynthMenuItemUI

`getContext, paint, paint, paintBorder, propertyChange, update`

### Methods declared in class BasicMenuItemUI

`createMenuDragMouseListener, createMenuKeyListener, createMouseInputListener, createPropertyChangeListener, doClick, getPath, getPreferredMenuItemSize, getPropertyPrefix, installComponents, installDefaults, installKeyboardActions, installListeners, paintBackground, paintMenuItem, paintText, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners`

### Methods declared in class ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, uninstallUI`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SynthCheckBoxMenuItemUI

public SynthCheckBoxMenuItemUI()
Constructs a `SynthCheckBoxMenuItemUI`.

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)
Creates a new UI object for the given component.

Parameters:
  `c` - component to create UI object for
Returns:
  the UI object